## org.eclipse.datatools.connectivity.ui.dse.dialogs
Class ProfileSelectionDialogPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.datatools.connectivity.ui.dse.dialogs.ProfileSelectionDialogPage

All Implemented Interfaces:
  IPropertySetListener, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider

    public class ProfileSelectionDialogPage

extends org.eclipse.jface.dialogs.DialogPage
implements IPropertySetListener

Dialog page that can be hosted in a variety of places to show the DSE view.

Author:
  rcernich, brianf

Field Summary
`static org.eclipse.jface.resource.ImageDescriptor` `ICON_DESC`
`static java.lang.String` `TITLE`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ProfileSelectionDialogPage()`
`ProfileSelectionDialogPage(java.lang.String title)`
`ProfileSelectionDialogPage(java.lang.String title, org.eclipse.jface.resource.ImageDescriptor image)`

Method Summary
`boolean` `canConnect()`
`boolean` `canNew()`
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`void` `createControl(org.eclipse.swt.widgets.Composite parent, boolean flag)`
`void` `createControl(org.eclipse.swt.widgets.Composite parent, boolean flag, boolean multiSelect)`
`void` `dispose()`
`boolean` `getDoneConnect()`
`boolean` `getInConnect()`
`boolean` `getLimitToProfiles()`
`org.eclipse.jface.viewers.TreeViewer` `getNavigatorViewer()`
`IConnectionProfile[]` `getSelectedProfiles()`
`IConnectionProfile[]` `getSelectedProfiles(boolean selectAllOnStartup)`
`boolean` `getShowConnect()`
`boolean` `getShowNew()`
`boolean` `getShowSelectButtons()`
`void` `handleConnect()` Connect
`void` `handleNew()` Create new profile
`void` `init(java.lang.Object selection, java.lang.Class endpointType, org.eclipse.jface.viewers.ViewerFilter filter, ICategory category)`
`static java.lang.String[]` `parseString(java.lang.String str_list, java.lang.String token)`
`boolean` `performOk()`
`void` `propertySetChanged(IPropertySetChangeEvent event)` Indicates one or more properties have been changed on the connection profile.
`void` `select(IConnectionProfile profile)`
`void` `selectAll()` Select all profiles
`void` `setEnabled(boolean flag)`
`void` `setInput(java.lang.Object object)`
`void` `setLimitToProfiles(boolean flag)`
`void` `setShowConnect(boolean flag)`
`void` `setShowNew(boolean flag)`
`void` `setShowSelectButtons(boolean flag)`
`void` `unselectAll()` Deselect all profiles
`void` `validate()` validate the selection

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, performHelp, setDescription, setErrorMessage, setImageDescriptor, setMessage, setMessage, setTitle, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TITLE

    public static final java.lang.String TITLE

### ICON_DESC

    public static final org.eclipse.jface.resource.ImageDescriptor ICON_DESC

Constructor Detail

### ProfileSelectionDialogPage

    public ProfileSelectionDialogPage()

Parameters:
  `title` -
  `image` -
  `missingEndpointReferenceString` -

### ProfileSelectionDialogPage

    public ProfileSelectionDialogPage(java.lang.String title)

### ProfileSelectionDialogPage

    public ProfileSelectionDialogPage(java.lang.String title,
                                      org.eclipse.jface.resource.ImageDescriptor image)

Parameters:
  `title` -
  `image` -

Method Detail

### init

    public void init(java.lang.Object selection,
                     java.lang.Class endpointType,
                     org.eclipse.jface.viewers.ViewerFilter filter,
                     ICategory category)

  Parameters:
    `selection` -
    `endpointType` -
    `filter` -
    `category` -

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`

### validate

    public void validate()

  validate the selection

### getNavigatorViewer

    public org.eclipse.jface.viewers.TreeViewer getNavigatorViewer()

  Returns:

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `dispose` in class `org.eclipse.jface.dialogs.DialogPage`

### handleConnect

    public void handleConnect()

  Connect

### handleNew

    public void handleNew()

  Create new profile

### propertySetChanged

    public void propertySetChanged(IPropertySetChangeEvent event)

  Description copied from interface: `IPropertySetListener`
  Indicates one or more properties have been changed on the connection profile.

  Specified by:
    `propertySetChanged` in interface `IPropertySetListener`
  Parameters:
    `event` - the change details

### setShowNew

    public void setShowNew(boolean flag)

  Parameters:
    `flag` -

### getShowNew

    public boolean getShowNew()

  Returns:

### setShowConnect

    public void setShowConnect(boolean flag)

  Parameters:
    `flag` -

### getShowConnect

    public boolean getShowConnect()

  Returns:

### setShowSelectButtons

    public void setShowSelectButtons(boolean flag)

  Parameters:
    `flag` -

### getShowSelectButtons

    public boolean getShowSelectButtons()

  Returns:

### setLimitToProfiles

    public void setLimitToProfiles(boolean flag)

  Parameters:
    `flag` -

### getLimitToProfiles

    public boolean getLimitToProfiles()

  Returns:

### getInConnect

    public boolean getInConnect()

  Returns:

### getDoneConnect

    public boolean getDoneConnect()

  Returns:

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent,
                              boolean flag)

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent,
                              boolean flag,
                              boolean multiSelect)

  Parameters:
    `parent` -
    `flag` -
    `multiSelect` -

### setInput

    public void setInput(java.lang.Object object)

  Parameters:
    `object` -

### select

    public void select(IConnectionProfile profile)

  Parameters:
    `profile` -

### selectAll

    public void selectAll()

  Select all profiles

### unselectAll

    public void unselectAll()

  Deselect all profiles

### parseString

    public static java.lang.String[] parseString(java.lang.String str_list,
                                                 java.lang.String token)

  Parameters:
    `str_list` -
    `token` -
  Returns:

### getSelectedProfiles

    public IConnectionProfile[] getSelectedProfiles()

  Returns:

### getSelectedProfiles

    public IConnectionProfile[] getSelectedProfiles(boolean selectAllOnStartup)

  Parameters:
    `selectAllOnStartup` -
  Returns:

### canConnect

    public boolean canConnect()

  Returns:

### canNew

    public boolean canNew()

  Returns:

### setEnabled

    public void setEnabled(boolean flag)

  Parameters:
    `flag` -

### performOk

    public boolean performOk()